Bug 164585 - ping(8) should use clock_gettime instead of gettimeofday
Summary: ping(8) should use clock_gettime instead of gettimeofday
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: 9.0-STABLE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-28 18:40 UTC by Rebecca Cran
Modified: 2021-12-07 14:56 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rebecca Cran freebsd_committer 2012-01-28 18:40:09 UTC
Since ping(8) only needs monotonic time and not real time, it should use clock_gettime instead of gettimeofday.
Comment 1 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 07:59:47 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped
Comment 2 Alan Somers freebsd_committer 2021-12-07 14:56:00 UTC
Fixed by SVN r350998